
<project basedir="." default="generate.service">

	<property name="service.name" value="ServiceMeteo" />
	<property name="dest.dir" value="build" />
	<property name="dest.dir.classes" value="${dest.dir}/${service.name}" />
	<property name="dest.dir.lib" value="${dest.dir}/lib" />	
	<property name="axis2.home" value="c:\apps\axis2-1.2" />
	<property name="repository.path" value="${axis2.home}/repository" />

	<path id="build.class.path">
		<fileset dir="${axis2.home}/lib">
			<include name="*.jar" />
		</fileset>
	</path>

	<path id="client.class.path">
		<fileset dir="${axis2.home}/lib">
			<include name="*.jar" />
		</fileset>
		<fileset dir="${dest.dir.lib}">
			<include name="*.jar" />
		</fileset>

	</path>
	<target name="clean">
		<delete dir="${dest.dir}" />
		<delete dir="src" includes="pojo/stub/**"/>
	</target>

	<target name="prepare">
		<mkdir dir="${dest.dir}" />
		<mkdir dir="${dest.dir}/lib" />
		<mkdir dir="${dest.dir.classes}" />
		<mkdir dir="${dest.dir.classes}/META-INF" />
	</target>

	<target name="generate.service" depends="clean,prepare">

		<copy file="src/META-INF/services.xml" tofile="${dest.dir.classes}/META-INF/services.xml" overwrite="true" />

		<javac srcdir="src" destdir="${dest.dir.classes}" includes="pojo/service/**,pojo/data/**">
			<classpath refid="build.class.path" />
		</javac>
		
		<jar basedir="${dest.dir.classes}" destfile="${dest.dir}/${service.name}.aar" />

		<copy file="${dest.dir}/${service.name}.aar" tofile="${repository.path}/services/${service.name}.aar" overwrite="true" />
		
	</target>

	<target name="rpc.client" depends="clean,prepare">

		<antcall target="rpc.client.compile" />

		<antcall target="rpc.client.jar" />

		<antcall target="rpc.client.run" />

	</target>

	<target name="rpc.client.compile">
		<javac srcdir="src" destdir="${dest.dir.classes}" includes="pojo/rpcclient/**,pojo/data/**">
			<classpath refid="build.class.path" />
		</javac>
	</target>

	<target name="rpc.client.jar">
		<jar basedir="${dest.dir.classes}" destfile="${dest.dir.lib}/rpc-client.jar" includes="pojo/rpcclient/**,pojo/data/**" />
	</target>

	<target name="rpc.client.run">
		<java classname="pojo.rpcclient.RPCClientMeteo">
			<classpath refid="client.class.path" />
		</java>
	</target>
</project>
